// MOD_LINK.C
// основной модуль коммуникационной программы

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>

#include "mod_link.h"
#include "common.h"
#include "modem.h"
#include "timer.h"
#include "tools.h"


void hello(void) {

	printf("не правильно задан параметр программы \n"
			 "mod_link n, где n = 1 вызов, n = 0 ответ\n");
	exit(0);
}

// оснавная процедура

void main( int argc, char *argv[] ) {

	// программа должна вызываться  параметром 1 или 0
	// 1 - это активный режжим, когда программа сама вызывает
	// удаленный модем

	// 0 - программа находится в режиме автоответа на
	// приходящий вызов

	if( argc < 2 )
		hello();

	if( strcmp( argv[1], "0") && strcmp( argv[1], "1" ))
		hello();

	if( !strcmp(  argv[1], "1" ) )

		// если программа заппущена с параметром "1", вызывается
		// функция call() из модуля MODEM.C, выполняющая вызов
		// удаленного модема

		call();

	else

		// если программа заппущена с параметром "0", вызывается
		// функция ansver(), переключающая модем в режим автоответа

		ansver();

	// освобождаем телефон

	shutdown();
}
